﻿using SoapEndpoint.Service.Flows.BrEnHf.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.BrEnHf;

namespace SoapEndpoint.Tester.Scenario.Implementations.BrEnHf;

public class ReminderScenario : BrEnHfScenarioBase
{
    public override string Name => "Reminder scenario";

    protected override async Task ExecuteAsync()
    {
        StartNewScenario("Scenario 1");

        var result = await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_Saldoverzoek));
        await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_ReminderBericht),
            result.RequestMessage);

        StartNewScenario("Scenario 2");

        await Manager.SHV_RequestReplyAsync(Conversation,
            new ShvFlowItem(BerichtType.SHV_Saldoverzoek, BerichtType.SE_SaldoverzoekAntwoord));
        var result2 =
            await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_Betaalvoorstel));

        await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_ReminderBericht),
            result2.RequestMessage);
    }
}